swagger: "2.0"

info:
  version: 10.1.2
  title: Criar postagem no Social
  description: "Responsável por criar uma publicação no Social."
  contact: 
    name: Senior X Platform
    url: https://dev.senior.com.br
    email: seniorx-dev@senior.com.br

tags:
  - name: "Social - Serviço de Integração"
  - name: "BPM - Serviço de Integração"

paths:
  /create-post:
    post:
      description: "Retorna o post criado no Social"
      deprecated: false

definitions:
  bodyData:
    type: object
    required:
      - text
    properties:
      text:
        type: string
        description: "Conteúdo do post"

  outputData:
    type: object
    required:
      - id
      - when
      - author
      - text
      - approved
    properties:
      id: 
        type: string
        description: "Identificador do post" 
      when: 
        type: string
        description: "Data de criação do post" 
      author: 
        type: integer
        description: "Autor do post"
      text: 
        type: string
        description: "Conteúdo do post"
      approved:
        type: boolean
        description: "Situação do post, se foi aprovado ou não"
